/*------------------------------------------------------------------------------

    File    :	FFT_float.h

    Author  :	Henryk Richter
                (based on Sources by Stphane TAVENARD)

    $VER:   FFT_float.h  0.1  (29/09/1997)


    Defintions for FFT for double precision floating point values

------------------------------------------------------------------------------*/

#ifndef FastFT_FLOAT_H
#define FastFT_FLOAT_H

#ifndef WORD
#define WORD short
#endif

#ifndef FLOAT
#define FLOAT float
#endif

#ifndef PI
#define PI 3.14159265358979323846
#endif

#ifndef FFT_RANGE_MAX
#define FFT_RANGE_MAX 1024
#endif

void FastFT_FLOAT_forward( FLOAT *x_real, FLOAT *x_imag,
			FLOAT *energy, FLOAT *phi, int n );

#endif
